Type to search.

Create a KnowledgeBase

Base URL
https://{kibana_url}
  • POST /api/security_ai_assistant/knowledge_base
  • POST /s/{space_id}/api/security_ai_assistant/knowledge_base
Auth

Create a knowledge base. Use this endpoint when no specific resource identifier is needed.

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Query parameters

modelId string

ELSER modelId to use when setting up the Knowledge Base. If not provided, a default model will be used.

Example: elser-model-001
ignoreSecurityLabs boolean · default: false

Indicates whether we should or should not install Security Labs docs when setting up the Knowledge Base. Defaults to false.

Responses

Indicates a successful call.

application/json
success boolean

Identify the success of the method execution.